# Chain (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: Chain

Package org.bukkit.block.data.type

# Interface Chain

All Superinterfaces:
  `BlockData`, `Cloneable`, `Orientable`, `Waterlogged`

public interface Chain extends Orientable, Waterlogged

## Method Summary

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Orientable

`getAxes, getAxis, setAxis`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`